Bug 747078 (CVE-2011-3620) - CVE-2011-3620 qpid-cpp: cluster authentication ignores cluster-* settings
Summary: CVE-2011-3620 qpid-cpp: cluster authentication ignores cluster-* settings
Status: CLOSED ERRATA
Alias: CVE-2011-3620
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120430,repor...
Keywords: Security
Depends On: 730017 817644
Blocks: 747109
TreeView+ depends on / blocked
 
Reported: 2011-10-18 18:02 UTC by Vincent Danen
Modified: 2016-11-08 15:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 20:58:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0528 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging 2.1 security and enhancement update 2012-04-30 21:48:39 UTC
Red Hat Product Errata RHSA-2012:0529 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging 2.1 security and enhancement update 2012-04-30 21:48:25 UTC

Description Vincent Danen 2011-10-18 18:02:13 UTC
A flaw was found in qpid where it would accept any password or SASL mechanism,
provided the remote user knew a valid cluster username.  This would give a
malicious remote attacker unauthorized access to the cluster where they would
be able to receive replicated messages to the cluster, be able to send any
cluster message, mark any present message as consumed, run any job on the
cluster, and also view/modify/create other users' jobs.  Only cluster messages
and internal qpid/MRG configuration is accessible to the remote attacker.

Comment 2 Vincent Danen 2011-10-18 19:02:18 UTC
For an attacker to successfully exploit this flaw, they would need to have physical access to the wired private interconnect LAN in which to plug in their own system.  Typically, MRG interconnect is done by physical wiring to a secondary NIC on a cluster member, dedicated to the interconnect.

Comment 4 errata-xmlrpc 2012-04-30 17:52:55 UTC
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:0529 https://rhn.redhat.com/errata/RHSA-2012-0529.html

Comment 5 errata-xmlrpc 2012-04-30 17:54:16 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0528 https://rhn.redhat.com/errata/RHSA-2012-0528.html

Comment 6 Vincent Danen 2012-04-30 18:06:22 UTC
Created qpid-cpp tracking bugs for this issue

Affects: fedora-all [bug 817644]

Comment 7 Vincent Danen 2012-05-07 20:58:45 UTC
Statement:

This flaw only affects the clustered implementation in qpid-cpp (qpidd-cpp-server-cluster) which is only available in Red Hat Enterprise MRG.  The qpid-cpp-server as provided with Red Hat Enterprise Linux 6 does not include this functionality, and is thus not affected.


Note You need to log in before you can comment on or make changes to this bug.